/*
 * This file is part of the ToolBox.
 * Copyright Thomas Jacob.
 *
 * READ README.TXT BEFORE USE!!
 */


// Main header file
#include <ToolBox\Headers.h>


// --- Class TestObject ---

TestObject::TestObject()
{
	InstanceCount++;
}

TestObject::~TestObject()
{
	ASSERTION_THIS;
	InstanceCount--;
}

#ifdef _TOOLBOX_TEST
	int TestObject::InstanceCount = 0;
#endif


// --- Class TestListObject ---

TestListObject::TestListObject()
{
	InstanceCount++;
}

TestListObject::~TestListObject()
{
	ASSERTION_THIS;
	InstanceCount--;
}

#ifdef _TOOLBOX_TEST
	int TestListObject::InstanceCount = 0;
#endif


// --- Class TestStackObject ---

TestStackObject::TestStackObject()
{
	InstanceCount++;
}

TestStackObject::~TestStackObject()
{
	ASSERTION_THIS;
	InstanceCount--;
}

#ifdef _TOOLBOX_TEST
	int TestStackObject::InstanceCount = 0;
#endif
